
QGIS Application - Bug report #7850

Piled derived attributes in Identify Results

2013-05-17 04:31 AM - Minoru Akagi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16731

Description

When more than one feature is identified by Identify Features tool, a feature sometimes has not only its own derived attributes but also

other features'. Specifically, the second feature has the derived attributes of the first one. The third feature has the derived attributes of the

above features.

It occurs in either cases:

- click on overlap part of overlap polygons

- click on between a point/line/polygon and the near feature

Associated revisions

Revision bdb2a4f1 - 2013-06-06 09:28 AM - Matthias Kuhn

Don't pile derived attributes (Fix #7850)

History

#1 - 2013-05-17 04:43 AM - Giovanni Manghi

- Status changed from Open to Feedback

is this a regression since 1.8?

#2 - 2013-05-17 04:46 AM - Minoru Akagi

Yes, no problem in 1.8.

#3 - 2013-05-17 04:50 AM - Minoru Akagi

- File polygons.zip added

Added a set of test data.

#4 - 2013-05-17 04:55 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to Severe/Regression
#5 - 2013-06-06 12:30 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"bdb2a4f1a2088d248eaebd70307dc25e694eaad1".

#6 - 2013-06-06 12:39 AM - Minoru Akagi

Thank you! :)

Files

capture.png 87.6 KB 2013-05-17 Minoru Akagi

polygons.zip 1.05 KB 2013-05-17 Minoru Akagi
